ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kev Jackson <foamd...@gmail.com>
Subject Ant & Java1.3
Date Thu, 15 Nov 2007 01:55:28 GMT
Hi,
I tried to build the branch on 1.3 last night.

I couldn't even bootstrap.  The problem was that the activation.jar was 
built with class file format 48.0 (1.4) - so the 1.3 jdk couldn't 
recognize the classes.

As the bootstrap failed there, I don't know how many other of the 
dependency jars are also compiled to 1.4 classes.

 From this we have two choices:

1 - Try to find compatible jars or build a much smaller ant missing 
features that cannot be built as there are class incompatibilities

2 - Stop support for a 1.3 compatible ant

Kev

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message